2017-08-21 23:44 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001788openmediavaultBugpublic2017-07-27 18:23
Reporterdonh 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Platform3.85OSOS Version
Product VersionErasmus (3.x) 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001788: Error with journalctl -xn
DescriptionI get this error on a clean install.

Jul 25 10:29:07 omv3test2 php5-fpm[876]: ool openmediavault-webgui: Unknown or unsupported timezone [tz=US/Mountain]
Jul 25 10:29:07 omv3test2 omv-engined[1778]: Unknown or unsupported timezone [tz=US/Mountain]
Steps To ReproduceClean install
Additional InformationI think during the install process you get to pick a timezone. In the web ui it does not show up. I think this why the error shows but not sure. Will verify if the install asks for a timezone on the next install.

It shows the correct time and tz in the web ui so it comes from somewhere. Maybe ntp? It is not enabled in the web ui.
TagsNo tags attached.
Product build3.85
Attached Files

-Relationships
+Relationships

-Notes

~0004890

votdev (administrator)

The problem is that there are timezones set during debian-installer which are not available in PHP. To fix that choose a timezone in the WebUI that meets your requirements.

~0004903

donh (reporter)

The time zone set by debian meets the needs of many apliances and debian users. I have to admit I don't know php well enough to understand why OMV needs more detail than debian. Acording to google php can use the debian standard. If more detail is needed, it should be a popup or something on first run.

It's a minor issue and will put error in the logs. Anyway close it again if you want.

Thanks

~0004906

votdev (administrator)

Last edited: 2017-07-27 09:10

View 2 revisions

According to http://php.net/manual/en/timezones.others.php the time zone US/Mountain is deprecated. So, in my opinion the Debian installer still uses deprecated time zones. The question is now, should OMV support them or not. I would say, NO.

~0004907

donh (reporter)

Not sure who should over ride, php or debian. Debian 9 seems to use the same way as 8. So that leaves OMV stuck in the middle well into the future. The easy solution might be to check for the php way when the web ui opens. Should be a quick test and if it fails go to the page to set it correctly. Should take care of new install or upgrading an existing system.

Time is very important to file sharing and directory services. I am not sure this would cause problems but why chance it? It would stop filling up the logs.

~0004908

votdev (administrator)

Some improvements related to this issue: https://github.com/openmediavault/openmediavault/commit/912057af9a2cf5d89ced71678ae724286e837bf9

~0004909

votdev (administrator)

Fixed conditionally in openmediavault 3.0.86, see https://github.com/openmediavault/openmediavault/commit/653c099ffab65ff26476d96e834e2bc95352844c.
+Notes

-Issue History
Date Modified Username Field Change
2017-07-25 18:50 donh New Issue
2017-07-25 18:50 donh Status new => assigned
2017-07-25 18:50 donh Assigned To => votdev
2017-07-25 22:14 votdev Note Added: 0004890
2017-07-25 22:19 votdev Status assigned => closed
2017-07-25 22:19 votdev Resolution open => no change required
2017-07-26 19:09 donh Status closed => feedback
2017-07-26 19:09 donh Resolution no change required => reopened
2017-07-26 19:09 donh Note Added: 0004903
2017-07-27 09:09 votdev Note Added: 0004906
2017-07-27 09:10 votdev Note Edited: 0004906 View Revisions
2017-07-27 17:00 donh Note Added: 0004907
2017-07-27 17:00 donh Status feedback => assigned
2017-07-27 18:13 votdev Note Added: 0004908
2017-07-27 18:23 votdev Status assigned => resolved
2017-07-27 18:23 votdev Resolution reopened => fixed
2017-07-27 18:23 votdev Fixed in Version => Erasmus (3.x)
2017-07-27 18:23 votdev Note Added: 0004909
+Issue History